{
  lib,
  stdenvNoCC,
  fetchFromGitHub,
  nix-update-script,
}:

stdenvNoCC.mkDerivation {
  pname = "grub-bios-theme";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "Blaysht";
    repo = "grub_bios_theme";
    rev = "main";
    hash = "sha256-kYcEMCV9ipwPGgfAwOtFgYO4eHZxkUS97tOr0ft4rUE=";
  };

  dontBuild = true;

  installPhase = ''
    runHook preInstall

    themeDir="$out/"
    mkdir -p "$themeDir"

    echo "Copying files from source root:"
    ls -R .

    # Copy all files safely
    cp -r ./OldBIOS/* "$themeDir/"

    runHook postInstall
  '';

  passthru.updateScript = nix-update-script { };

  meta = {
    description = "GRUB theme 'BIOS boot device' — minimalistic GRUB theme inspired by Vimix and primitivistical.";
    homepage = "https://github.com/Blaysht/grub_bios_theme";
    license = lib.licenses.mit;
    maintainers = with lib.maintainers; [ azuwis ];
    platforms = lib.platforms.linux;
  };
}

